<?php  
class ControllerModuleValuer extends Controller {
	protected function index() {
		$this->language->load('module/valuer');
		
    	$this->data['heading_title'] = $this->language->get('heading_title');
    	
		$this->data['text_register'] = $this->language->get('text_register');
    	$this->data['text_login'] = $this->language->get('text_login');
		$this->data['text_logout'] = $this->language->get('text_logout');
		$this->data['text_forgotten'] = $this->language->get('text_forgotten');
		$this->data['text_account'] = $this->language->get('text_account');
		$this->data['text_edit'] = $this->language->get('text_edit');
		$this->data['text_password'] = $this->language->get('text_password');
		$this->data['text_wishlist'] = $this->language->get('text_wishlist');
		$this->data['text_order'] = $this->language->get('text_order');
		$this->data['text_download'] = $this->language->get('text_download');
		$this->data['text_return'] = $this->language->get('text_return');
		$this->data['text_transaction'] = $this->language->get('text_transaction');
		$this->data['text_newsletter'] = $this->language->get('text_newsletter');
		
		$this->data['logged'] = $this->customer->isLogged();
		$this->data['register'] = $this->url->link('valuers/register', '', 'SSL');
    	$this->data['login'] = $this->url->link('valuers/login', '', 'SSL');
    	$this->data['credit'] = $this->url->link('valuers/credit', '', 'SSL');
		$this->data['logout'] = $this->url->link('valuers/logout', '', 'SSL');
		$this->data['forgotten'] = $this->url->link('valuers/forgotten', '', 'SSL');
		$this->data['valuers'] = $this->url->link('valuers/account', '', 'SSL');
		$this->data['coowned'] = $this->url->link('valuers/coowned', '', 'SSL');
		$this->data['edit'] = $this->url->link('valuers/edit', '', 'SSL');
		$this->data['message'] = $this->url->link('valuers/message', '', 'SSL');
		$this->data['contest'] = $this->url->link('valuers/contest', '', 'SSL');
		$this->data['overall'] = $this->url->link('valuers/overall', '', 'SSL');
		$this->data['password'] = $this->url->link('valuers/password', '', 'SSL');
		$this->data['wishlist'] = $this->url->link('valuers/wishlist');
		$this->data['order'] = $this->url->link('valuers/order', '', 'SSL');
		$this->data['mydesign'] = $this->url->link('valuers/mydesign', '', 'SSL');
		$this->data['download'] = $this->url->link('valuers/download', '', 'SSL');
		$this->data['return'] = $this->url->link('valuers/return', '', 'SSL');
		$this->data['transaction'] = $this->url->link('valuers/transaction', '', 'SSL');
		$this->data['newsletter'] = $this->url->link('valuers/newsletter', '', 'SSL');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/valuer.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/valuer.tpl';
		} else {
			$this->template = 'default/template/module/valuer.tpl';
		}
		
		$this->render();
	}
}
?>